Charm for IBM MobileFirst Server 7.0


Overview
--------
This charm installs IBM MobileFirst Server software.

`IBM MobileFirst Server`

IBM MobileFirst Server is mobile-optimized middleware that serves as a gateway between applications, back-end systems and cloud-based services. IBM MobileFirst Platform Foundation provides an open, comprehensive platform to develop, test, secure and manage mobile apps
 
Prerequisites
-------------

This charm makes use of resources, a feature only available in Juju 2.0. During deploy or upgrade, you will need to specify the installable package(s) required by this charm. Download your licensed IBM MobileFirst Server packages from the [Product Page] [mfs-product-page]. For details on IBM MobileFirst Server refer to [IBM Knowledge Center] [mfs-v7-info]

For Ubuntu (Power and x86_64), IBM MobileFirst Server package and part number is:

          IBM MobileFirst Server 7.0 Installer (CN4V2EN) 


Usage
-------
To use this charm, you must agree to the Terms of Use. You can view the full license for IBM Mobile First Server by visiting the [LicenseInfo] [license-page].

Memory and Disk Requirements
-----------------------------
Minimum 150 MB disk space and 2GB RAM memory is required.

Deploy
-------
To deploy ibm-mobilefirst-server charm you need `ibm-db2` and `websphere-liberty` charms.

The MobileFirst Server charm is a sub ordinate charm to IBM WebSphere Liberty charm and hence will be deployed to the same container as IBM WebSphere Liberty software.

Run the following commands to deploy this charm:

Following commands would deploy websphere-liberty charm. Mobile First Server needs Websphere Liberty version 8.5.5.8.

    1. juju deploy websphere-liberty 
    2. juju config websphere-liberty accept-ibm-websphere-license=True
    3. juju config websphere-liberty ibm-liberty-version="8.5.5.8"

Please go through the [websphere-liberty] [wlp-readme] charm for detailed deployment instructions. 

Following commands would deploy ibm-db2 charm.

    4. juju deploy ibm-db2 
    5. juju config ibm-db2 curl_opts="<login credentials>"
    6. juju config ibm-db2 curl_url="<url to download package?shavalue>"
    7. juju config ibm-db2 license_accepted="True"

Please go through the [ibm-db2] [db2-readme] charm file for detailed deployment instructions.

Deploy ibm-mobilefirst-server charm using the below steps. Once deployed, ibm-mobilefirst-server has to be related to websphere-liberty and ibm-db2. 
ibm-mobilefirt-server charm is built on the top of ibm-im layer and hence the user has to provide the IBM-IM resource also while deploying the MobileFirst.
         
    8. juju deploy ibm-mobilefirst-server --resource=ibm_im_installer=</path/to/ibm_im_installer.zip> --resource=ibm_mobilefirstserver_installer=<path/to/iibm_mobilefirstserver_installer.zip>
    9. juju add-relation websphere-liberty ibm-mobilefirst-server
    10. juju add-relation ibm-db2 ibm-mobilefirst-server
   
At this point Installation Manager and MobileFirst Server install will wait for you to accept the License. To install the downloaded binaries you must agree to the IBM license. 

    11.juju agree ibm-im/1
    12.juju agree ibm-mobilefirstserver/1

Once these Terms are accepted Mobilefirst server software will be installed.   

Post Install tests
------------------
After installing IBM MobileFirst server software open appcenter and worklight consoles using below link and replace <public IP> with your container IP address. 
The http and https port numbers in which Mobile First Server runs can be identified from the open-ports value for the charm. 
       
     https://<public IP>:<https port>/worklightconsole
     http://<public IP>:<http port>/worklightconsole

To login worklight console use the default credentials  `admin/admin123`. This is a configurable value and can be changed by the user.

     https://<public IP>:<https port>/appcenterconsole
     http://<public IP>:<<http port>/appcenterconsole

To login appcenter console use the same default credentials 'admin/admin123'. This can be changed by the user. 

IBM MobileFirst Server information
-----------------------------------
(1) General Information
Details about MobileFirst Server 7.0 available at [IBM Knowledge Center][mfs-v7-info].

(2) Download Information
Information on procuring MobileFirst Server product is available at the [Product Page][mfs-product-page]
and at the [Passport Advantage Site][passport].


Contact Information
-------------------
For issues with this charm, please contact IBM Juju Support team <jujusupp@us.ibm.com>
 
<!-- Links -->

   [im-v1.7-info]: http://www-01.ibm.com/support/knowledgecenter/SSDV2W_1.7.0/com.ibm.cic.agent.ui.doc/helpindex_imic.html?cp=SSDV2W_1.7.0%2F0

   [im-product-page]: http://www-01.ibm.com/support/docview.wss?uid=swg27025142

   [mfs-product-page]: http://www.ibm.com/software/products/en/mobilefirstfoundation "MFS Info"

   [mfs-v7-info]: https://www-01.ibm.com/support/knowledgecenter/SSHS8R_7.0.0/com.ibm.worklight.installconfig.doc/install_config/t_ov_server_install.html

   [license-page]: http://www14.software.ibm.com/cgi-bin/weblap/lap.pl?la_formnum=&li_formnum=L-BVID-9TCPPM&title=IBM%20MobileFirst%20Platform%20Foundation%20V7.0%20zip%20of%20Installation%20Manager%20Repository%20for%20IBM%20MobileFirst%20Server%20Multiplatform%20English

   [wlp-readme]: https://jujucharms.com/websphere-liberty/trusty/3

   [db2-readme]: https://jujucharms.com/ibm-db2/trusty/2

   [passport]: http://www-01.ibm.com/software/how-to-buy/passportadvantage/

